Debian Bug report logs - #305033
RM: libmrproject -- RoQA; redundant library incorporated in 'planner'

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin-Eric Racine <q-funk@iki.fi>

Date: Sun, 17 Apr 2005 12:33:03 UTC

Severity: normal

Tags: confirmed

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin-Eric Racine <q-funk@iki.fi>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin-Eric Racine <q-funk@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Sun, 17 Apr 2005 15:16:08 +0300
Package: ftp.debian.org
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary) are no longer needed, because upstream renamed 
their software to "planner" since version 0.11 and Debian package names for subsequent uploads were adjusted to that.

All pending bugs pertaining to the source package "libmrproject" have already been reassigned to "planner", so you 
may proceeed with removal at your earliest convenience.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCYlOIeXr56x4Muc0RAs2LAJ9zau5HyGQ9d6vsMhtUk97tSjedAwCdE3R+
98FX5Kxu91mkYWz3magABLI=
=xg48
-----END PGP SIGNATURE-----



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #12 received at 305033@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Martin-Eric Racine <q-funk@iki.fi>, 305033@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>, Mikael Sennerholm <mikan@debian.org>
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Mon, 18 Apr 2005 04:40:37 +0200
retitle 305033 RM: libmrproject -- superseded by 'planner' package
tags 305033 moreinfo
thanks

On Sun, Apr 17, 2005 at 03:16:08PM +0300, Martin-Eric Racine wrote:
> libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
> are no longer needed, because upstream renamed their software to
> "planner" since version 0.11 and Debian package names for subsequent
> uploads were adjusted to that.
> 
> All pending bugs pertaining to the source package "libmrproject" have
> already been reassigned to "planner", so you may proceeed with removal
> at your earliest convenience.

Right, but you're not the maintainer, and you didn't even Cc the
maintainer on your request.

Mikael, what's your opinion and do you agree?

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Mikael Sennerholm <mikan@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #21 received at 305033@bugs.debian.org (full text, mbox):

From: Mikael Sennerholm <mikan@debian.org>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Martin-Eric Racine <q-funk@iki.fi>, 305033@bugs.debian.org, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Mon, 18 Apr 2005 08:53:56 +0200
[Message part 1 (text/plain, inline)]
Hi!

Some people may still have mrproject and libmrproject installed in
woody, and I want the mrproject package to exists in sarge. But after
Sarge is released I want to remove *mrproject* from unstable.

Sincerely
Mikael

On mån, 2005-04-18 at 04:40 +0200, Jeroen van Wolffelaar wrote:
> 305033
-- 
Email: mikan@mikan.net          mobile: +46 70 740 1585
PGP: 1024D/20E93E8E 76F9 E895 1073 12B8 A281  8144 5A1E 4BDD 20E9 3E8E

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 305033@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Mikael Sennerholm <mikan@debian.org>
Cc: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>, 305033@bugs.debian.org
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Mon, 18 Apr 2005 10:31:08 +0300 (EEST)
On Mon, 18 Apr 2005, Mikael Sennerholm wrote:

> Some people may still have mrproject and libmrproject installed in
> woody, and I want the mrproject package to exists in sarge. But after
> Sarge is released I want to remove *mrproject* from unstable.

That's correct, except that libmrproject stopped being used after 0.10-4
(there never was any libplanner). For mrproject of course, we indeed have
to keep the metapackage there at least until Sarge is released.
libmrproject already is superceded by planner though.

-- 
Martin-Éric Racine
http://www.iki.fi/q-funk/




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #31 received at 305033@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Mikael Sennerholm <mikan@debian.org>, 305033@bugs.debian.org
Cc: Martin-Eric Racine <q-funk@iki.fi>
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Mon, 25 Apr 2005 17:36:12 +0200
On Mon, Apr 18, 2005 at 08:53:56AM +0200, Mikael Sennerholm wrote:
> Hi!
> 
> Some people may still have mrproject and libmrproject installed in
> woody, and I want the mrproject package to exists in sarge. But after
> Sarge is released I want to remove *mrproject* from unstable.

libmrproject didn't exist yet when woody was released, so it can safely
be removed.

It's only the mrproject metapackage that should be kept. I'll remove
this package shortly, unless you have a good reason why to keep this
(i.e., why to introduce this package in sarge).

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Martin-Éric Racine <q-funk@iki.fi>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #36 received at 305033@bugs.debian.org (full text, mbox):

From: Martin-Éric Racine <q-funk@iki.fi>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: Mikael Sennerholm <mikan@debian.org>, 305033@bugs.debian.org
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Tue, 26 Apr 2005 11:45:01 +0300 (EEST)
On Mon, 25 Apr 2005, Jeroen van Wolffelaar wrote:

> On Mon, Apr 18, 2005 at 08:53:56AM +0200, Mikael Sennerholm wrote:
> > Some people may still have mrproject and libmrproject installed in
> > woody, and I want the mrproject package to exists in sarge. But after
> > Sarge is released I want to remove *mrproject* from unstable.
> 
> libmrproject didn't exist yet when woody was released, so it can safely
> be removed.

Indeed so, which is precisely why I filed this bug.

> It's only the mrproject metapackage that should be kept. I'll remove
> this package shortly, unless you have a good reason why to keep this
> (i.e., why to introduce this package in sarge).

We don't need to introduce it into Sarge. Anyhow, the NMU upload of
Planner I made a while ago Provides mrproject in the control file.

-- 
Martin-Éric Racine
http://www.iki.fi/q-funk/




Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#305033; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #41 received at 305033@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Mikael Sennerholm <mikan@debian.org>, 305033@bugs.debian.org
Cc: Martin-Eric Racine <q-funk@iki.fi>, Debian Bugs Control Bot <control@bugs.debian.org>
Subject: Re: RM: libmrproject (source) libmrproject0 (binary) libmrproject-dev (binary)
Date: Tue, 3 May 2005 22:25:18 +0200
retitle 305033 RM: libmrproject -- RoQA; redundant library incorporated in 'planner'
tags 305033 = confirmed
thanks

On Mon, Apr 25, 2005 at 05:36:12PM +0200, Jeroen van Wolffelaar wrote:
> On Mon, Apr 18, 2005 at 08:53:56AM +0200, Mikael Sennerholm wrote:
> > Hi!
> > 
> > Some people may still have mrproject and libmrproject installed in
> > woody, and I want the mrproject package to exists in sarge. But after
> > Sarge is released I want to remove *mrproject* from unstable.
> 
> libmrproject didn't exist yet when woody was released, so it can safely
> be removed.
> 
> It's only the mrproject metapackage that should be kept. I'll remove
> this package shortly, unless you have a good reason why to keep this
> (i.e., why to introduce this package in sarge).

I'm going to remove it now, making it request of QA as the maintainer
did not reply.
 
--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags set to: confirmed Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin-Eric Racine <q-funk@iki.fi>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #50 received at 305033-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 305033-close@bugs.debian.org
Cc: libmrproject@packages.debian.org, libmrproject@packages.qa.debian.org
Subject: Bug#305033: fixed
Date: Tue, 03 May 2005 16:30:24 -0400
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libmrproject |     0.10-4 | source
libmrproject-dev |     0.10-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
libmrproject0 |     0.10-4 | alpha, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 305033@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:38:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.